<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>AVM2: </title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<p><a name="getlex"></a></p>
<h2><a class="anchor" id="getlex"></a>
getlex</h2>
<h3><a class="anchor" id="operation"></a>
Operation</h3>
<p>Find and get a property.</p>
<h3><a class="anchor" id="format"></a>
Format</h3>
<div class="fragment"><pre class="fragment">getlex
index
</pre></div><h3><a class="anchor" id="forms"></a>
Forms</h3>
<div class="fragment"><pre class="fragment">getlex = 96 (0x60)
</pre></div> <h3><a class="anchor" id="stack"></a>
Stack</h3>
<div class="fragment"><pre class="fragment">... =&gt; ..., obj
</pre></div><h3><a class="anchor" id="description"></a>
Description</h3>
<p>index is a u30 that must be an index into the multiname constant pool. The multiname at index must not be a runtime multiname, so there are never any optional namespace or name values on the stack.</p>
<p>This is the equivalent of doing a findpropstict followed by a getproperty. It will find the object on the scope stack that contains the property, and then will get the value from that object. See “Resolving multinames” on page 10.</p>
<h3><a class="anchor" id="rt_execeptions"></a>
Runtime exceptions</h3>
<p>A ReferenceError is thrown if the property is unresolved in all of the objects on the scope stack.</p>
<h3><a class="anchor" id="notes"></a>
Notes</h3>
<p>None. </p>
</div>
<hr class="footer"/><address class="footer"><small>Generated on Thu Jan 6 2011 10:19:15 for AVM2 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.7.1 </small></address>
</body>
</html>
